Index: code/branches/main_reto_vs05/src/orxonox.cc
===================================================================
--- code/branches/main_reto_vs05/src/orxonox.cc	(revision 160)
+++ code/branches/main_reto_vs05/src/orxonox.cc	(revision 161)
@@ -32,80 +32,89 @@
 */
 
+#include "OgreRoot.h"
+#include "OgreTimer.h"
+#include "OgreWindowEventUtilities.h"
 
+#include "ogre_control.h"
+#include "run_manager.h"
 #include "orxonox.h"
 
 
-/**
-* Empty Constructor.
-*/
-Orxonox::Orxonox()
-{
-}
+namespace Orxonox {
+
+  /**
+  * Empty Constructor.
+  */
+  Orxonox::Orxonox()
+  {
+  }
 
 
-/**
-* Empty Destructor.
-*/
-Orxonox::~Orxonox()
-{
-}
+  /**
+  * Empty Destructor.
+  */
+  Orxonox::~Orxonox()
+  {
+  }
 
 
-/**
-* Starts and runs the game
-*/
-void Orxonox::go(void)
-{
-	if (!setup())
-		return;
+  /**
+  * Starts and runs the game
+  */
+  void Orxonox::go(void)
+  {
+	  if (!setup())
+		  return;
 
-	timer_ = new Timer();
+    timer_ = new Ogre::Timer();
 
-	unsigned long lastTime = timer_->getMilliseconds();
+	  unsigned long lastTime = timer_->getMilliseconds();
 
-	while (true)
-	{
-		//Pump messages in all registered RenderWindow windows
-		WindowEventUtilities::messagePump();
+	  while (true)
+	  {
+		  //Pump messages in all registered RenderWindow windows
+      Ogre::WindowEventUtilities::messagePump();
 
-		ogre_->getRoot()->renderOneFrame();
+		  ogre_->getRoot()->renderOneFrame();
 
-		if (!runMgr_->tick(timer_->getMilliseconds(),
-            (timer_->getMilliseconds() - lastTime) / 1000.0))
-			break;
-		lastTime = timer_->getMilliseconds();
-	}
+		  if (!runMgr_->tick(timer_->getMilliseconds(),
+              (timer_->getMilliseconds() - lastTime) / 1000.0))
+			  break;
+		  lastTime = timer_->getMilliseconds();
+	  }
 
-	// clean up
-	destroy();
-}
+	  // clean up
+	  destroy();
+  }
 
 
-/**
-* Create render engine, render window and the Run manager.
-* @return False if failed.
-*/
-bool Orxonox::setup(void)
-{
-	// create new 3D ogre render engine
-	ogre_ = new OgreControl();
-	ogre_->initialise();
+  /**
+  * Create render engine, render window and the Run manager.
+  * @return False if failed.
+  */
+  bool Orxonox::setup(void)
+  {
+	  // create new 3D ogre render engine
+	  ogre_ = new OgreControl();
+	  ogre_->initialise();
 
-	runMgr_ = new RunManager(ogre_);
+	  runMgr_ = new RunManager(ogre_);
 
-	return true;
-}
+	  return true;
+  }
 
 
-/**
-* Clean everything up.
-*/
-void Orxonox::destroy()
-{
-	if (timer_)
-		delete timer_;
-	if (runMgr_)
-		delete runMgr_;
-	if (ogre_)
-		delete ogre_;
+  /**
+  * Clean everything up.
+  */
+  void Orxonox::destroy()
+  {
+	  if (timer_)
+		  delete timer_;
+	  if (runMgr_)
+		  delete runMgr_;
+	  if (ogre_)
+		  delete ogre_;
+  }
+
 }
Index: code/branches/main_reto_vs05/src/orxonox_scene.cc
===================================================================
--- code/branches/main_reto_vs05/src/orxonox_scene.cc	(revision 160)
+++ code/branches/main_reto_vs05/src/orxonox_scene.cc	(revision 161)
@@ -26,118 +26,130 @@
  */
 
-/**
-* The orxonox scene includes everything running in the background like terrain,
-* static figures, dangling lamp, etc.
-*/
-
+#include "OgreSceneManager.h"
+#include "OgreSceneNode.h"
+#include "OgreEntity.h"
+#include "OgreLight.h"
+#include "OgreBillboard.h"
+#include "OgreBillboardSet.h"
+#include "OgreVector3.h"
 
 #include "orxonox_scene.h"
 
+namespace Orxonox {
+  using namespace Ogre;
 
-/**
-* Empty Consructor except the initialiser list.
-* @param sceneMgr The Scene Manager.
-*/
-OrxonoxScene::OrxonoxScene(SceneManager *sceneMgr) : sceneMgr_(sceneMgr)
-{
-}
-
-/**
-* Empty Destructor.
-*/
-OrxonoxScene::~OrxonoxScene()
-{
-}
-
-/**
-* Ogre initialisation method.
-* This function is called by the Run Manager to load the neccessary recources
-* and to create the scene.
-* @return False if failed.
-*/
-bool OrxonoxScene::initialise()
-{
-	// Load resources
-	loadResources();
-
-	distance_ = 0;
-	radius_ = 100;
-
-	createScene();
-
-	return true;
-}
+  /**
+  * The orxonox scene includes everything running in the background like terrain,
+  * static figures, dangling lamp, etc.
+  */
 
 
-/**
-* Resource loader.
-* Currently, this method loads everything! TODO: If done this ugly, it should
-* at least be in the Run Manager.
-*/
-void OrxonoxScene::loadResources()
-{
-	// Initialise, parse scripts etc
-	ResourceGroupManager::getSingleton().initialiseAllResourceGroups();
-}
+  /**
+  * Empty Consructor except the initialiser list.
+  * @param sceneMgr The Scene Manager.
+  */
+  OrxonoxScene::OrxonoxScene(SceneManager *sceneMgr) : sceneMgr_(sceneMgr)
+  {
+  }
+
+  /**
+  * Empty Destructor.
+  */
+  OrxonoxScene::~OrxonoxScene()
+  {
+  }
+
+  /**
+  * Ogre initialisation method.
+  * This function is called by the Run Manager to load the neccessary recources
+  * and to create the scene.
+  * @return False if failed.
+  */
+  bool OrxonoxScene::initialise()
+  {
+	  // Load resources
+	  loadResources();
+
+	  distance_ = 0;
+	  radius_ = 100;
+
+	  createScene();
+
+	  return true;
+  }
 
 
-/**
-* Scene creation.
-* Currently just a test scene with an ogre head an a surrounding light.
-*/
-void OrxonoxScene::createScene()
-{
-	sceneMgr_->setAmbientLight(ColourValue(0.3,0.3,0.3));
-
-	//create first entity
-	Entity *head = sceneMgr_->createEntity("head", "ogrehead.mesh");
-
-	//create a scene node to attach the head to
-	SceneNode *node = sceneMgr_->getRootSceneNode()
-        ->createChildSceneNode("OgreHeadNode", Vector3(0,0,0));
-	//attach the ogre head
-	node->attachObject(head);
-
-	// set up skybox
-	sceneMgr_->setSkyBox(true, "Examples/SceneSkyBox2");
-
-	// set up one light_ source
-	light_ = sceneMgr_->createLight("Light1");
-	light_->setType(Light::LT_POINT);
-	light_->setPosition(Vector3(0, 0, 0));
-	light_->setDiffuseColour(1.0, 1.0, 1.0);
-	light_->setSpecularColour(1.0, 1.0, 1.0);
-
-	//create billboard
-	bbs_ = sceneMgr_->createBillboardSet("bb", 1);
-	bbs_->createBillboard(Vector3::ZERO, ColourValue(1.0, 1.0, 1.0));
-	bbs_->setMaterialName("Examples/Flare");
-
-	lightNode_ = sceneMgr_->getRootSceneNode()
-        ->createChildSceneNode("lightNode_", Vector3(0, 100, 0));
-
-	lightNode_->attachObject(bbs_);
-	lightNode_->attachObject(light_);
-}
+  /**
+  * Resource loader.
+  * Currently, this method loads everything! TODO: If done this ugly, it should
+  * at least be in the Run Manager.
+  */
+  void OrxonoxScene::loadResources()
+  {
+	  // Initialise, parse scripts etc
+	  ResourceGroupManager::getSingleton().initialiseAllResourceGroups();
+  }
 
 
-/**
-* Compute something between frames if neccessary.
-* @param time Absolute time.
-* @param deltaTime Relative time.
-* @return Return true to continue rendering.
-*/
-bool OrxonoxScene::tick(unsigned long time, Real deltaTime)
-{
-	Real t = time/1000.0;
+  /**
+  * Scene creation.
+  * Currently just a test scene with an ogre head an a surrounding light.
+  */
+  void OrxonoxScene::createScene()
+  {
+	  sceneMgr_->setAmbientLight(ColourValue(0.3,0.3,0.3));
 
-	lightNode_->setPosition(radius_*sin(5*t), radius_*cos(5*t), sin(1*t)*distance_);
-	
-	light_->setDiffuseColour(sin(1*t), sin(1*t + 2.09), sin(1*t + 2.09*2));
-	light_->setSpecularColour(sin(1*t), sin(1*t + 2.09), sin(1*t + 2.09*2));
+	  //create first entity
+	  Entity *head = sceneMgr_->createEntity("head", "ogrehead.mesh");
 
-	bbs_->getBillboard(0)->setColour(ColourValue(sin(1*t),
-        sin(1*t + 2.09), sin(1*t + 2.09*2)));
-  
-  return true;
+	  //create a scene node to attach the head to
+	  SceneNode *node = sceneMgr_->getRootSceneNode()
+          ->createChildSceneNode("OgreHeadNode", Vector3(0,0,0));
+	  //attach the ogre head
+	  node->attachObject(head);
+
+	  // set up skybox
+	  sceneMgr_->setSkyBox(true, "Examples/SceneSkyBox2");
+
+	  // set up one light_ source
+	  light_ = sceneMgr_->createLight("Light1");
+	  light_->setType(Light::LT_POINT);
+	  light_->setPosition(Vector3(0, 0, 0));
+	  light_->setDiffuseColour(1.0, 1.0, 1.0);
+	  light_->setSpecularColour(1.0, 1.0, 1.0);
+
+	  //create billboard
+	  bbs_ = sceneMgr_->createBillboardSet("bb", 1);
+	  bbs_->createBillboard(Vector3::ZERO, ColourValue(1.0, 1.0, 1.0));
+	  bbs_->setMaterialName("Examples/Flare");
+
+	  lightNode_ = sceneMgr_->getRootSceneNode()
+          ->createChildSceneNode("lightNode_", Vector3(0, 100, 0));
+
+	  lightNode_->attachObject(bbs_);
+	  lightNode_->attachObject(light_);
+  }
+
+
+  /**
+  * Compute something between frames if neccessary.
+  * @param time Absolute time.
+  * @param deltaTime Relative time.
+  * @return Return true to continue rendering.
+  */
+  bool OrxonoxScene::tick(unsigned long time, Real deltaTime)
+  {
+	  Real t = time/1000.0;
+
+	  lightNode_->setPosition(radius_*sin(5*t), radius_*cos(5*t), sin(1*t)*distance_);
+  	
+	  light_->setDiffuseColour(sin(1*t), sin(1*t + 2.09), sin(1*t + 2.09*2));
+	  light_->setSpecularColour(sin(1*t), sin(1*t + 2.09), sin(1*t + 2.09*2));
+
+	  bbs_->getBillboard(0)->setColour(ColourValue(sin(1*t),
+          sin(1*t + 2.09), sin(1*t + 2.09*2)));
+    
+    return true;
+  }
+
 }
Index: code/branches/main_reto_vs05/src/orxonox_ship.cc
===================================================================
--- code/branches/main_reto_vs05/src/orxonox_ship.cc	(revision 160)
+++ code/branches/main_reto_vs05/src/orxonox_ship.cc	(revision 161)
@@ -26,184 +26,198 @@
  */
 
-/**
-* Base class for any kind of flyable ship in Orxonox.
-* 
-* The ship offers steering methods (like left, right, etc.) and translates
-* them into movement. A ship can also hold more than one weapons (where each
-* of these can be replaced during the game). This means that a ship can have
-* many WeaponManagers but only one MunitionManager (independant object that
-* is referenced in each WeaponManager).
-* Furthermore a ship in Orxonox is responsible for its visualization, which is
-* why it receives a pointer to the SceneManager.
-*/
-
+#include "OgreSceneManager.h"
+#include "OgreSceneNode.h"
+#include "OgreEntity.h"
+#include "OgreVector3.h"
+#include "OgreStringConverter.h"
+
+#include "bullet.h"
 
 #include "orxonox_ship.h"
 
-
-/**
-* Standard constructor, that only initalizes a few variables. Some of them
-* could be made static, since any new ship would be derived from the BaseShip.
-* Or even better: write config files for each ship so that manipulating
-* its properties would be even easier.
-* @param mSceneMgr The current main SceneManager
-* @param mNode The scene node which the ship will be attached to later.
-*/
-OrxonoxShip::OrxonoxShip(SceneManager *sceneMgr, SceneNode *node)
-	    : sceneMgr_(sceneMgr), rootNode_(node), currentSpeed_(Vector3(0, 0, 0)),
-      baseThrust_(1000), currentThrust_(Vector3::ZERO),
-      objectCounter_(0), bulletSpeed_(400)
-{
+namespace Orxonox {
+  using namespace Ogre;
+
+  /**
+  * Base class for any kind of flyable ship in Orxonox.
+  * 
+  * The ship offers steering methods (like left, right, etc.) and translates
+  * them into movement. A ship can also hold more than one weapons (where each
+  * of these can be replaced during the game). This means that a ship can have
+  * many WeaponManagers but only one MunitionManager (independant object that
+  * is referenced in each WeaponManager).
+  * Furthermore a ship in Orxonox is responsible for its visualization, which is
+  * why it receives a pointer to the SceneManager.
+  */
+
+
+
+
+  /**
+  * Standard constructor, that only initalizes a few variables. Some of them
+  * could be made static, since any new ship would be derived from the BaseShip.
+  * Or even better: write config files for each ship so that manipulating
+  * its properties would be even easier.
+  * @param mSceneMgr The current main SceneManager
+  * @param mNode The scene node which the ship will be attached to later.
+  */
+  OrxonoxShip::OrxonoxShip(SceneManager *sceneMgr, SceneNode *node)
+	      : sceneMgr_(sceneMgr), rootNode_(node), currentSpeed_(Vector3(0, 0, 0)),
+        baseThrust_(1000), currentThrust_(Vector3::ZERO),
+        objectCounter_(0), bulletSpeed_(400)
+  {
+  }
+
+
+  /**
+  * Standard destructor.
+  * Doesn't have any work to do yet.
+  */
+  OrxonoxShip::~OrxonoxShip()
+  {
+  }
+
+
+  /**
+  * Initialises everything.
+  * Once that ResourceGroups are organised, this method loads them.
+  * It might be an idea to make this function static in order for the
+  * SceneManger to call the initialise method of every needed class (macros..)
+  * @return Returns false when failed.
+  */
+  bool OrxonoxShip::initialise()
+  {
+	  // load all the resources needed (no resource groups yet,
+    // so the allInit is not executed!)
+	  // ResourceGroupManager::getSingleton().initialiseAllResourceGroups();
+
+	  // create the "space ship" (currently a fish..)
+	  // TODO: names must be unique! use static variables..
+	  shipEntity_ = sceneMgr_->createEntity("Ship", "fish.mesh");
+	  SceneNode *fishNode = rootNode_->createChildSceneNode("fishNode");
+	  fishNode->yaw(Degree(-90));
+	  fishNode->attachObject(shipEntity_);
+	  fishNode->setScale(Vector3(10, 10, 10));
+
+	  return true;
+  }
+
+
+  /**
+  * Gets the ship to accelerate in the current direction.
+  * The value should be between 0 and 1, with one beeing full thrust and 0 none.
+  * @param value Acceleration between 0 and 1
+  */
+  void OrxonoxShip::setMainThrust(const Real value)
+  {
+	  //currentThrust_ = value * baseThrust_;
+    currentThrust_.z = value * baseThrust_;
+  }
+
+
+  /**
+  * Gets the ship to accelerate sideways regarding the current direction.
+  * The value should be between 0 and 1, with one beeing full thrust and 0 none.
+  * @param value Acceleration between 0 and 1
+  */
+  void OrxonoxShip::setSideThrust(const Real value)
+  {
+	  //currentSideThrust_ = value * baseThrust_;
+    currentThrust_.x = value * baseThrust_;
+  }
+
+
+  /**
+  * Gets the ship to accelerate up and down.
+  * The value should be between 0 and 1, with one beeing full thrust and 0 none.
+  * @param value Acceleration between 0 and 1
+  */
+  void OrxonoxShip::setYThrust(const Real value)
+  {
+    //currentYThrust_ = value * baseThrust_;
+    currentThrust_.y = value * baseThrust_;
+  }
+
+
+  /**
+  * Rotate the ship along with the camera up and down.
+  * @param angle Pitch value.
+  */
+  void OrxonoxShip::turnUpAndDown(const Radian &angle)
+  {
+    rootNode_->pitch(-angle, Node::TS_LOCAL);
+  }
+
+
+  /**
+  * Rotate the ship along with the camera left and right.
+  * @param angle Yaw value.
+  */
+  void OrxonoxShip::turnLeftAndRight(const Radian &angle)
+  {
+    rootNode_->yaw(-angle, Node::TS_PARENT);
+  }
+
+
+  /**
+  * Returns the current speed of the ship according to its parent node.
+  * @return The current speed.
+  */
+  Vector3 OrxonoxShip::getSpeed()
+  {
+    return currentSpeed_;
+  }
+
+  /**
+  * Returns the ship's root SceneNode.
+  * @return The Root Node.
+  */
+  SceneNode* OrxonoxShip::getRootNode()
+  {
+    return rootNode_;
+  }
+
+
+  /**
+  * Fire a bullet (Entity with SceneNode).
+  * This method creates a new Entity plus a SceneNode. But be sure not make
+  * the new Node a child of RootNode_!
+  * @return Bullet containing speed and entity.
+  */
+  Bullet* OrxonoxShip::fire()
+  {
+	  // TODO: Names must be unique!
+	  SceneNode *temp = rootNode_->getParentSceneNode()->createChildSceneNode(
+          "BulletNode" + StringConverter::toString(objectCounter_));
+	  temp->setOrientation(rootNode_->getOrientation());
+	  temp->setPosition(rootNode_->getPosition());
+	  temp->setScale(Vector3(1, 1, 1) * 10);
+	  temp->yaw(Degree(-90));
+	  return new Bullet(temp, sceneMgr_->createEntity("bullet"
+          + StringConverter::toString(objectCounter_++), "Barrel.mesh"), currentSpeed_
+          + (rootNode_->getOrientation() * Vector3(0, 0, -1)).normalisedCopy()
+          * bulletSpeed_);
+  }
+
+
+  /**
+  * Standard tick() function.
+  * Currently, only the speed is applied according to the thrust values.
+  * @param time Absolute time.
+  * @param deltaTime Relative time.
+  * @return Return true to continue render
+  */
+  bool OrxonoxShip::tick(unsigned long time, Real deltaTime)
+  {
+    Quaternion quad = rootNode_->getOrientation();
+    quad.normalise();
+    currentSpeed_ += quad * (Vector3(-1, -1, -1) * currentThrust_) * deltaTime;
+    //currentSpeed_ += quad * Vector3(0, 0, -1) * currentThrust_ * deltaTime;
+	  //currentSpeed_ += quad * Vector3(-1, 0,  0) * currentSideThrust_ * deltaTime;
+
+	  rootNode_->translate(currentSpeed_ * deltaTime);
+
+	  return true;
+  }
+
 }
-
-
-/**
-* Standard destructor.
-* Doesn't have any work to do yet.
-*/
-OrxonoxShip::~OrxonoxShip()
-{
-}
-
-
-/**
-* Initialises everything.
-* Once that ResourceGroups are organised, this method loads them.
-* It might be an idea to make this function static in order for the
-* SceneManger to call the initialise method of every needed class (macros..)
-* @return Returns false when failed.
-*/
-bool OrxonoxShip::initialise()
-{
-	// load all the resources needed (no resource groups yet,
-  // so the allInit is not executed!)
-	// ResourceGroupManager::getSingleton().initialiseAllResourceGroups();
-
-	// create the "space ship" (currently a fish..)
-	// TODO: names must be unique! use static variables..
-	shipEntity_ = sceneMgr_->createEntity("Ship", "fish.mesh");
-	SceneNode *fishNode = rootNode_->createChildSceneNode("fishNode");
-	fishNode->yaw(Degree(-90));
-	fishNode->attachObject(shipEntity_);
-	fishNode->setScale(Vector3(10, 10, 10));
-
-	return true;
-}
-
-
-/**
-* Gets the ship to accelerate in the current direction.
-* The value should be between 0 and 1, with one beeing full thrust and 0 none.
-* @param value Acceleration between 0 and 1
-*/
-void OrxonoxShip::setMainThrust(const Real value)
-{
-	//currentThrust_ = value * baseThrust_;
-  currentThrust_.z = value * baseThrust_;
-}
-
-
-/**
-* Gets the ship to accelerate sideways regarding the current direction.
-* The value should be between 0 and 1, with one beeing full thrust and 0 none.
-* @param value Acceleration between 0 and 1
-*/
-void OrxonoxShip::setSideThrust(const Real value)
-{
-	//currentSideThrust_ = value * baseThrust_;
-  currentThrust_.x = value * baseThrust_;
-}
-
-
-/**
-* Gets the ship to accelerate up and down.
-* The value should be between 0 and 1, with one beeing full thrust and 0 none.
-* @param value Acceleration between 0 and 1
-*/
-void OrxonoxShip::setYThrust(const Real value)
-{
-  //currentYThrust_ = value * baseThrust_;
-  currentThrust_.y = value * baseThrust_;
-}
-
-
-/**
-* Rotate the ship along with the camera up and down.
-* @param angle Pitch value.
-*/
-void OrxonoxShip::turnUpAndDown(const Radian &angle)
-{
-  rootNode_->pitch(-angle, Node::TS_LOCAL);
-}
-
-
-/**
-* Rotate the ship along with the camera left and right.
-* @param angle Yaw value.
-*/
-void OrxonoxShip::turnLeftAndRight(const Radian &angle)
-{
-  rootNode_->yaw(-angle, Node::TS_PARENT);
-}
-
-
-/**
-* Returns the current speed of the ship according to its parent node.
-* @return The current speed.
-*/
-Vector3 OrxonoxShip::getSpeed()
-{
-  return currentSpeed_;
-}
-
-/**
-* Returns the ship's root SceneNode.
-* @return The Root Node.
-*/
-SceneNode* OrxonoxShip::getRootNode()
-{
-  return rootNode_;
-}
-
-
-/**
-* Fire a bullet (Entity with SceneNode).
-* This method creates a new Entity plus a SceneNode. But be sure not make
-* the new Node a child of RootNode_!
-* @return Bullet containing speed and entity.
-*/
-Bullet* OrxonoxShip::fire()
-{
-	// TODO: Names must be unique!
-	SceneNode *temp = rootNode_->getParentSceneNode()->createChildSceneNode(
-        "BulletNode" + StringConverter::toString(objectCounter_));
-	temp->setOrientation(rootNode_->getOrientation());
-	temp->setPosition(rootNode_->getPosition());
-	temp->setScale(Vector3(1, 1, 1) * 10);
-	temp->yaw(Degree(-90));
-	return new Bullet(temp, sceneMgr_->createEntity("bullet"
-        + StringConverter::toString(objectCounter_++), "Barrel.mesh"), currentSpeed_
-        + (rootNode_->getOrientation() * Vector3(0, 0, -1)).normalisedCopy()
-        * bulletSpeed_);
-}
-
-
-/**
-* Standard tick() function.
-* Currently, only the speed is applied according to the thrust values.
-* @param time Absolute time.
-* @param deltaTime Relative time.
-* @return Return true to continue render
-*/
-bool OrxonoxShip::tick(unsigned long time, Real deltaTime)
-{
-  Quaternion quad = rootNode_->getOrientation();
-  quad.normalise();
-  currentSpeed_ += quad * (Vector3(-1, -1, -1) * currentThrust_) * deltaTime;
-  //currentSpeed_ += quad * Vector3(0, 0, -1) * currentThrust_ * deltaTime;
-	//currentSpeed_ += quad * Vector3(-1, 0,  0) * currentSideThrust_ * deltaTime;
-
-	rootNode_->translate(currentSpeed_ * deltaTime);
-
-	return true;
-}
